@import url("https://fonts.googleapis.com/css?family=Inter:400|Raleway:700")

/* fonts */
:root
  --font-primary: 'Inter', sans-serif
  --font-secondary: 'Raleway', serif

/* color palette */
:root
  --sl-c-white: #ffffff

  --sl-c-black: #181818

  --sl-c-soft-black: rgba(0, 0, 0, 0.33)

  --vt-c-divider-light-1: rgba(60, 60, 60, 0.29)
  --vt-c-divider-light-2: rgba(60, 60, 60, 0.12)
  --vt-c-divider-dark-1: rgba(84, 84, 84, 0.65)
  --vt-c-divider-dark-2: rgba(84, 84, 84, 0.48)

  --vt-c-text-light-1: var(--vt-c-indigo)
  --vt-c-text-light-2: rgba(60, 60, 60, 0.66)
  --vt-c-text-dark-1: var(--vt-c-white)
  --vt-c-text-dark-2: rgba(235, 235, 235, 0.64)

  --sl-c-radial-gradient-1: radial-gradient(111.94% 100.78% at -7.5% 102.34%, rgba(248, 255, 0, 0.63) 29.44%, #3ad59f 100%)

/* semantic color variables for this project */
:root
  --color-background-home: var(--sl-c-radial-gradient-1)
  --color-background-navribbon: var(--sl-c-white)

  --color-box-shadow: var(--sl-c-soft-black)

  --color-heading: var(--vt-c-text-light-1)
  --color-text: var(--vt-c-text-light-1)

  --section-gap: 160px

@media (prefers-color-scheme: dark)
  :root
    --color-background: var(--vt-c-black)
    --color-background-soft: var(--vt-c-black-soft)
    --color-background-mute: var(--vt-c-black-mute)

    --color-border: var(--sl-c-black)
    --color-border-hover: var(--vt-c-divider-dark-1)

    --color-heading: var(--vt-c-text-dark-1)
    --color-text: var(--vt-c-text-dark-2)

*,
*::before,
*::after
  box-sizing: border-box
  margin: 0
  font-weight: normal

body
  min-height: 100vh
  width: 100vw
  line-height: 1.6
  font-family: var(--font-primary)
  font-size: 15px
  text-rendering: optimizeLegibility
  -webkit-font-smoothing: antialiased
  -moz-osx-font-smoothing: grayscale